Bug 1852658 - thunderbird-78.3.1 is available [NEEDINFO]
Summary: thunderbird-78.3.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-01 03:15 UTC by Upstream Release Monitoring
Modified: 2020-10-20 19:02 UTC (History)
21 users (show)

Fixed In Version: thunderbird-master-3220201005073039.1 thunderbird-78.3.1-1.fc32 thunderbird-78.3.1-1.fc33 thunderbird-78.3.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-06 00:14:31 UTC
Type: ---
nb: needinfo? (gecko-bugs-nobody)


Attachments (Terms of Use)

Description Upstream Release Monitoring 2020-07-01 03:15:49 UTC
Latest upstream release: 68.10.0
Current version/release in rawhide: 68.9.0-1.fc33
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 1 Upstream Release Monitoring 2020-07-01 03:15:58 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-68.10.0-20200608.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- lightning-langpacks-68.10.0.tar.xz
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor.tar.xz

Comment 2 Upstream Release Monitoring 2020-07-15 02:10:15 UTC
Latest upstream release: 78.0
Current version/release in rawhide: 68.9.0-1.fc33
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 3 Upstream Release Monitoring 2020-07-15 02:10:22 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-78.0-20200709.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- lightning-langpacks-78.0.tar.xz
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor.tar.xz

Comment 4 Felix Schwarz 2020-07-17 10:22:38 UTC
I think this release is incompatible with thunderbird-enigmail. Would you mind adding the right obsoletes/conflicts?

As a thunderbird-enigmail user I'd appreciate if I could still use enigmail in F31/F32 until thunderbird's built-in OpenPGP replacement works reliably. 
As a thunderbird-enigmail maintainer I can understand if you need to push this also to stable channels due to security issues. In that case please go ahead and make the required announcements (also on behalf of thunderbird-enigmail).

Comment 5 P D 2020-07-20 05:04:07 UTC
Upstream is recommending that linux distro maintainers wait until 78.2 before updating thunderbird.

https://twitter.com/mozthunderbird/status/1284418789153497090

Comment 6 Upstream Release Monitoring 2020-07-21 21:36:26 UTC
Latest upstream release: 78.0.1
Current version/release in rawhide: 68.9.0-1.fc33
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 7 Upstream Release Monitoring 2020-07-21 21:36:33 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-78.0.1-20200709.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- lightning-langpacks-78.0.1.tar.xz
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor.tar.xz

Comment 8 Upstream Release Monitoring 2020-07-30 19:44:58 UTC
Latest upstream release: 78.1.0
Current version/release in rawhide: 68.9.0-1.fc33
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 9 Upstream Release Monitoring 2020-07-30 19:45:07 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-78.1.0-20200709.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- lightning-langpacks-78.1.0.tar.xz
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor.tar.xz

Comment 10 Upstream Release Monitoring 2020-08-06 21:03:10 UTC
Latest upstream release: 78.1.1
Current version/release in rawhide: 68.9.0-1.fc33
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 11 Upstream Release Monitoring 2020-08-06 21:03:18 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-78.1.1-20200709.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- lightning-langpacks-78.1.1.tar.xz
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor.tar.xz

Comment 12 Upstream Release Monitoring 2020-08-25 14:58:06 UTC
Latest upstream release: 78.2.0
Current version/release in rawhide: 68.9.0-1.fc33
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 13 Upstream Release Monitoring 2020-08-25 14:58:15 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-78.2.0-20200806.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- lightning-langpacks-78.2.0.tar.xz
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor.tar.xz

Comment 14 Upstream Release Monitoring 2020-08-30 00:53:00 UTC
Latest upstream release: 78.2.1
Current version/release in rawhide: 68.9.0-1.fc33
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 15 Upstream Release Monitoring 2020-08-30 00:53:09 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-78.2.1-20200806.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- lightning-langpacks-78.2.1.tar.xz
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor.tar.xz

Comment 16 Nick Bebout 2020-09-01 22:53:50 UTC
Can we get an upgrade to 78.2.1 soon?  I'd really like to be able to use the OAuth2 authentication.

Comment 17 Frédéric Pierret 2020-09-10 07:01:35 UTC
Hi,
Just to let you know that I've built Thunderbird 78.2.1 for Fedora 31 and 32 (33 soon I need to debug a failing build): https://copr.fedorainfracloud.org/coprs/fepitre/thunderbird-78/build/1654837/
The updated source can be found on COPR at https://src.fedoraproject.org/fork/fepitre/rpms/thunderbird/commits/tb78. I needed to generate cbindgen-vendor and langpacks archives on my own and uploaded them to my mirror. I patched TB source to use CK_GCM_PARAMS_V3 instead of CK_GCM_PARAMS as described in https://fedoraproject.org/wiki/Changes/NssGCMParams. I've encountered an issue with wrongly detected crate attributes as shebangs so I simply removed executable bit on those source files. I hope my branch could help Thunderbird maintainers to made it into Fedora.

If I can help into this task for Fedora, don't hesitate to ask me

Best regards,
Frédéric

Comment 18 Upstream Release Monitoring 2020-09-10 16:44:01 UTC
Latest upstream release: 78.2.2
Current version/release in rawhide: 68.10.0-1.fc33
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 19 Upstream Release Monitoring 2020-09-10 16:44:10 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-78.2.2-20200908.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- lightning-langpacks-78.2.2.tar.xz
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor.tar.xz

Comment 20 Upstream Release Monitoring 2020-09-23 23:38:19 UTC
Latest upstream release: 78.3.0
Current version/release in rawhide: 68.10.0-1.fc33
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 21 Upstream Release Monitoring 2020-09-23 23:38:32 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-78.3.0-20200908.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- lightning-langpacks-78.3.0.tar.xz
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor.tar.xz

Comment 22 Nick Bebout 2020-09-25 18:05:47 UTC
Are you planning to update this soon?  This version adds OAuth2 support which would be really nice to have.  I'd hope to see this go in to Fedora 33.

Comment 23 Edgar Hoch 2020-09-25 18:39:48 UTC
I think the question is:
Is the implementation of OpenPGP in thunderbird a real working replacement for enigmail for the all or at least a majority of the users?
Is the migration from enigmail to OpenPGP in the linux implementation easy enough for most of Fedora users?

E-mail is important to many people, especially in academic and business area, but also in private use.
It should work for standard users, not only for computer experts.

Comment 24 Upstream Release Monitoring 2020-09-25 21:34:11 UTC
Latest upstream release: 78.3.1
Current version/release in rawhide: 68.10.0-1.fc33
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 25 Upstream Release Monitoring 2020-09-25 21:34:19 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-78.3.1-20200908.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- lightning-langpacks-78.3.1.tar.xz
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor.tar.xz

Comment 26 Demi Marie Obenour 2020-09-28 19:35:15 UTC
(In reply to Edgar Hoch from comment #23)
> I think the question is:
> Is the implementation of OpenPGP in thunderbird a real working replacement
> for enigmail for the all or at least a majority of the users?
> Is the migration from enigmail to OpenPGP in the linux implementation easy
> enough for most of Fedora users?
> 
> E-mail is important to many people, especially in academic and business
> area, but also in private use.
> It should work for standard users, not only for computer experts.

At this point, I think the question is basically moot.  Thunderbird 68 is end of life at the end of September, and will not be receiving security updates.  So we have two days to get Thunderbird 78 packaged and published.  Please start building the new RPMs immediately.

Comment 27 Nerijus 2020-09-30 18:38:05 UTC
Got Thunderbird upgrade to 78.3.0 on CentOS 8. Unfortunately it does not work. The application launches, but only its menus and buttons are displayed, but they do not function at all. Nothing happens clicking any of them. Also, no email messages are displayed that were present prior upgrade. Would appreciate a little bit more testing before releasing such an upgrade.

Comment 28 Fedora Update System 2020-10-05 06:16:26 UTC
FEDORA-2020-8b14250809 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8b14250809

Comment 29 Fedora Update System 2020-10-05 06:16:27 UTC
FEDORA-2020-07c5770aa1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-07c5770aa1

Comment 30 Fedora Update System 2020-10-05 06:16:29 UTC
FEDORA-2020-f5ba8be492 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f5ba8be492

Comment 31 Fedora Update System 2020-10-05 12:07:01 UTC
FEDORA-FLATPAK-2020-93abac2e8d has been submitted as an update to Fedora 32 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-93abac2e8d

Comment 32 Fedora Update System 2020-10-05 17:28:04 UTC
FEDORA-2020-f5ba8be492 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f5ba8be492`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f5ba8be492

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 33 Fedora Update System 2020-10-05 17:29:25 UTC
FEDORA-2020-8b14250809 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8b14250809`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8b14250809

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 34 Fedora Update System 2020-10-05 18:11:54 UTC
FEDORA-2020-07c5770aa1 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-07c5770aa1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-07c5770aa1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 35 Fedora Update System 2020-10-05 18:12:14 UTC
FEDORA-FLATPAK-2020-93abac2e8d has been pushed to the Fedora 32 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2020-93abac2e8d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 36 Fedora Update System 2020-10-06 00:14:31 UTC
FEDORA-FLATPAK-2020-93abac2e8d has been pushed to the Fedora 32 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.

Comment 37 Fedora Update System 2020-10-06 01:00:05 UTC
FEDORA-2020-8b14250809 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 38 Lyes Saadi 2020-10-06 09:51:14 UTC
I think you should push f33's update manually (unless someone adds one more karma) or request a freeze exception. Final freeze is tomorrow, and since 78 is already on stable for f32, this would break, permanently, all users' Thunderbird configuration on update by downgrading them to 68.

Sincerely,
Someone whose config already broke few weeks ago because of this reason.

Comment 39 Lyes Saadi 2020-10-06 10:55:59 UTC
This is no longer needed, the update just got the necessary karma!

Comment 40 Fedora Update System 2020-10-06 14:04:51 UTC
FEDORA-2020-f5ba8be492 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 41 Fedora Update System 2020-10-20 19:02:41 UTC
FEDORA-2020-07c5770aa1 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.